#rocketbar {
  position: fixed;
  width: 100%;
  height: 3.6rem;
  left: 0;
  top: 0;
  display: block;
  pointer-events: none;
  opacity: 0;
  transform: scale(1) translateY(var(--statusbar-height));
  transition: opacity 0.25s linear;
}

#rocketbar.active {
  opacity: 1;
  pointer-events: auto;
}

#screen.locked:not(.attention) #rocketbar {
  display: none;
}

#rocketbar-form {
  height: 3.6rem;
  background-color: var(--color-cyan);
  padding-left: 1rem;
  padding-right: 1rem;
  overflow: hidden;
  white-space: nowrap;
}

#rocketbar-form {
  display: flex;
  flex-direction: row;
}

#rocketbar-input {
  background-color: white;
  border-width: 0.1rem;
  border-radius: 0.2rem;
  color: var(--color-gs90);
  display: block;
  width: 100%;
  padding: 0;
  -moz-padding-start: 0.5rem;
  text-overflow: ellipsis;
}

#rocketbar-input {
  box-shadow: none;
  border: none;
  height: 2.4rem;
  margin-top: 0.6rem;
}

#rocketbar-input::-moz-placeholder {
  opacity: 1;
  color: rgba(50, 50, 50, 0.5);
}

#rocketbar-input {
  flex: auto;
  min-height: 0;
  min-width: 0;
}

#rocketbar-input .p-pri {
  font-weight: 400;
  font-size: 1.7rem;
  color: var(--color-gs90);
}

#rocketbar-input::-moz-selection {
  background-color: var(--color-cyan);
  color: var(--color-gs00);
}

#screen.keypad-enabled #rocketbar-input,
#screen.keypad-enabled #rocketbar-input::-moz-selection {
  color: black;
}

#rocketbar-cancel, #rocketbar-clear {
  flex: none;
}

#rocketbar-clear {
  display: none;
}

#rocketbar.has-text #rocketbar-clear {
  display: block;
}

#rocketbar-clear {
  border: none;
  background: url(clear_dark.png) no-repeat center center;
  background-size: 2.4rem 2.4rem;
  width: 4rem;
}

#rocketbar-cancel {
  position: relative;
  background: none;
  border: none;
  color: #00AACC;
  font-size: 1.4rem;
  font-style: italic;
  line-height: 1.8rem;
  padding: 0 0.7rem 0 1.4rem;
}

#rocketbar-cancel::before {
  content: '';
  position: absolute;
  left: 0;
  top: .5rem;
  height: 2.4rem;
  width: .1rem;
  background-color: rgba(255, 255, 255, 0.08);
}

#rocketbar-results, #rocketbar-backdrop {
  position: fixed;
  left: 0;
}

#rocketbar-results {
  height: calc(100% - var(--rocketbar-urlbar-height) - var(--statusbar-height));
  top: calc(var(--statusbar-height) + var(--rocketbar-urlbar-height));
  width: 100%;
}

#rocketbar-backdrop {
  top: var(--statusbar-height);
  height: calc(100% - var(--statusbar-height));
  width: 100%;
  background-color: rgba(0, 0, 0, 0.85);
  transition: opacity 0.3s linear;
  opacity: 0.85;
}

#rocketbar-backdrop.results-shown {
  opacity: 1;
}

#screen.keypad-enabled #rocketbar-backdrop {
  height: calc(100% - 20rem - var(--statusbar-height));
}

/* Rocketbar results is normally 7rem tall and should be adjusted by the
   height of the SHB when enabled */
#screen.software-button-enabled #rocketbar-results {
  height: calc(100% - 7rem - var(--software-home-button-height));
}

#screen.keypad-enabled #rocketbar-results {
  height: calc(100% - 3.6rem - 20rem - var(--statusbar-height));
}

#rocketbar-results.hidden, #rocketbar-results iframe.hidden,
#rocketbar-backdrop.hidden {
  opacity: 0;
  pointer-events: none;
}

#rocketbar.navigation:not(.active) {
  display: flex;
  flex-direction: row;
}

@media (orientation:landscape) {
  #screen.software-button-enabled #rocketbar {
    width: calc(100% - var(--software-home-button-height));
  }

  #screen.software-button-enabled #rocketbar-results {
    height: calc(100% - 7rem);
    width: calc(100% - var(--software-home-button-height));
  }
}

/* RTL View */
html[dir="rtl"] #rocketbar-cancel::before {
  left: unset;
  right: 0;
}
